unit sConst;
(************************************************************************
sStyle components package 
Copyright (c) 2002 Serge Goncharov. All rights reserved.
                            Ukraine, Odessa
                            http://www.geocities.com/sstylish2002/
                            Serge@HyBce.com
 Version:	1.3, 10-03-2002
*************************************************************************)

interface

uses Graphics, Messages, Windows;

{I Rx.inc}

type
  TsCaptionLayout = (sclLeft, sclTopLeft, sclTopCenter, sclTopRight);
  TCheckAreaLayout = (calLeft, calRight);
  TBgStyle = (bgsNone, bgsImage, bgsGradient, bgsTransparent);
  TsShadowingShape = (ssRectangle, ssEllipse);
  TGradientTypes = (gtTopBottom, gtLeftRight);
  TModeSelection = set of (msBorder, msColor, msShadow);
  TsBorderStyle = (bsRaised, bsLowered, bsFlat);

  TsRect = TRect;

  TsRGB = packed record
    B: Byte;
    G: Byte;
    R: Byte;
  end;
  PRGBArray = ^TRGBArray;
  TRGBArray = array[0..1000000] of TsRGB;

  TsCodes = set of 1..255;//[COC_TsEdit..COC_Unknown]

const

  Bool : array [0..1] of string = ('True', 'False');

  // Codes Of Components                                        

  COC_TsEdit                = 1;
  COC_TsComboEdit           = 2;
  COC_TsMemo                = 3;
  COC_TsSpinEdit            = 4;

  COC_TsCustomComboBox      = 11;
  COC_TsIBComboBox          = 12;
  COC_TsComboBox            = 13;
  COC_TsADOComboBox         = 14;
  COC_TsBDEComboBox         = 15;

  COC_TsDateEdit            = 21;

  COC_TsCheckedControl      = 31;
  COC_TsCheckBox            = 32;
  COC_TsDBCheckBox          = 32;
  COC_TsRadioButton         = 33;

  COC_TsCurrencyEdit        = 41;

  COC_TsPanel               = 51;
  COC_TsContainer           = 52;
  COC_TsGlassPanel          = 53;
  COC_TsToolBar             = 54;
  COC_TsTransparentPanel    = 55;
  COC_TsCustomPanel         = 56;

  COC_TsGroupBox            = 60;

  COC_TsDBEdit              = 61;

  COC_TsDBMemo              = 71;

  COC_TsDBComboBox          = 81;

  COC_TsCustomButton        = 91;
  COC_TsSpeedButton         = 92;
  COC_TsBitButton           = 93;
  COC_TsColorSelect         = 94;

  COC_TsBevel               = 101;

  COC_TsHintManager         = 111;

  COC_TsCustomMenuManager   = 121;
  COC_TsMenuManager     = 122;

//  COC_TsImage               = 701;

  COC_TsFilenameEdit        = 131;

  COC_TsPageControl         = 141;

  COC_TsStatusBar           = 151;

  COC_TsGauge               = 161;
  COC_TsTrackBar            = 165;

  COC_Unknown               = 250;

  sNoShadow : TsCodes = [COC_TsStatusBar, COC_TsGroupBox, COC_TsBevel];
  sHaveBG : TsCodes = [COC_TsPanel..COC_TsCustomPanel,
                       COC_TsStatusBar,
                       COC_TsGauge,
                       COC_TsTrackBar,
                       COC_TsCustomButton..COC_TsColorSelect
                      ];
  sForbidMouse : TsCodes = [COC_TsBevel, COC_TsPageControl, COC_TsGroupBox];

  MonthsUkr : array [1..12] of string = ('i', '', '', 'i', '',
                                         '', '', '',
                                         '', '', '', '');

// Colors
  // Red
  scDarkRed          = TColor(Longint($00292163));
  scRed              = TColor(Longint($005B58D1));
  scLightRed         = TColor(Longint($00DAD9F2));
  // Orange
  scDarkOrange       = TColor(Longint($00004D75));
  scOrange           = TColor(Longint($004E8DDC));
  scLightOrange      = TColor(Longint($00E4EEFA));
  // Yellow
  scDarkYellow       = TColor(Longint($002C848D));
  scYellow           = TColor(Longint($006BC5C7));
  scLightYellow      = TColor(Longint($00ECFFFF));
  // Green
  scDarkGreen        = TColor(Longint($00385937));
  scGreen            = TColor(Longint($006A936D));
  scLightGreen       = TColor(Longint($00DEF5E1));
  // Sky
  scDarkSky          = TColor(Longint($007D6B42));
  scSky              = TColor(Longint($00B7A660));
  scLightSky         = TColor(Longint($00DBD2AE));
  // Blue
  scDarkBlue         = TColor(Longint($006C4124));
  scBlue             = TColor(Longint($00CFB78F));
  scLightBlue        = TColor(Longint($00FFE2C4));
  // Violet
  scDarkViolet       = TColor(Longint($006D3245));
  scViolet           = TColor(Longint($00D0B0AC));
  scLightViolet      = TColor(Longint($00E9DAD8));
  // Brown
  scDarkBrown        = TColor(Longint($00394D4D));
  scBrown            = TColor(Longint($0088939B));
  scLightBrown       = TColor(Longint($00BBC8CC));
  // Kaki
  scDarkKaki         = TColor(Longint($00395E55));
  scKaki             = TColor(Longint($0092B4B4));
  scLightKaki        = TColor(Longint($00E0E9EF));

  // Types of sStyle
  tos_SPAINTSTYLE           = 1;
  tos_SPASSIVEBGSTYLE       = 2;
  tos_SCUSTOMSTYLE          = 4;
  tos_SSTYLE                = 5;
  tos_SSTYLEDB              = 6;



var
  clFormBorderColorTop    : TColor = clYellow; //$009FC0F7;
  clFormBorderColorBottom : TColor = clYellow; //$009FC0F7;
  sBorderWidth            : integer = 0;

implementation

end.
